ParseD2RQ

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.d2rqmappingfile
Class ParseD2RQ

    java.lang.Object
      com.wscreation.d2rqmappingfile.ParseD2RQ

    public class ParseD2RQ

extends java.lang.Object

Field Summary
`private static java.lang.Boolean` | `DEBUG`
`private java.util.Map<java.lang.String,java.lang.String>` | `foreignKeys`
`private java.lang.String` | `mappingPath`
`private com.hp.hpl.jena.rdf.model.Model` | `model`
`private com.hp.hpl.jena.rdf.model.Model` | `modelToParse`
`private java.util.Map<java.lang.String,java.lang.String>` | `namespaces`
`private java.util.Vector<Table>` | `tables`

Constructor Summary
`ParseD2RQ()`
`ParseD2RQ(com.hp.hpl.jena.rdf.model.Model model)`

Method Summary
`private void` | `associationTables()` modifie les statements associés à un table d'association.
`java.util.Vector<com.hp.hpl.jena.rdf.model.Statement>` | `chooseAColumn(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> column)`
`com.hp.hpl.jena.rdf.model.Resource` | `columnIsInTable(com.hp.hpl.jena.rdf.model.Resource column)`
`int` | `getArity(com.hp.hpl.jena.rdf.model.Resource table)`
`java.util.Map<java.lang.String,java.lang.String>` | `getForeignKeys()`
`com.hp.hpl.jena.rdf.model.Model` | `getModel()`
`com.hp.hpl.jena.rdf.model.Model` | `getModelToParse()`
`java.util.Map<java.lang.String,java.lang.String>` | `getNamespaces()`
`private void` | `getNamespaces(com.hp.hpl.jena.rdf.model.Model m)` récupère tous les namespaces du fichier de mapping
`com.hp.hpl.jena.rdf.model.Resource` | `getTableResource(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> vect)`
`java.util.Vector<Table>` | `getTables()`
`boolean` | `hasForeignKeys(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> columnStatements)`
`java.util.Vector<com.hp.hpl.jena.rdf.model.Statement>` | `infosSurUneColonne(com.hp.hpl.jena.rdf.model.Resource colonne)` permet de recupérer toutes les iformtations sur une colonne.
`java.util.Vector<com.hp.hpl.jena.rdf.model.Statement>` | `infosSurUneTable(com.hp.hpl.jena.rdf.model.Resource table)`
`com.hp.hpl.jena.rdf.model.Resource` | `inWhichTableIsTheColumn(com.hp.hpl.jena.rdf.model.Resource res)`
`private void` | `listForeignKeys()` liste de toutes les clés étrangères.
`private void` | `listTables()` création d'un vecteur qui regroupe toutes les tables du fichier de mapping
`int` | `numberOfColumnWithThisAnnotation(com.hp.hpl.jena.rdf.model.Resource annotation)`
`private void` | `preparcours()` premier parcours du graphe avant de chercher un chemin.
`private void` | `readModel()`
`com.hp.hpl.jena.rdf.model.Resource` | `refersToDatabase(com.hp.hpl.jena.rdf.model.Resource table)`
`private java.util.Vector<com.hp.hpl.jena.rdf.model.Statement>` | `retrieveColumnWithThisAnnotation(com.hp.hpl.jena.rdf.model.Resource annotation)`
`void` | `setModel(com.hp.hpl.jena.rdf.model.Model model)`
`java.util.Vector<com.hp.hpl.jena.rdf.model.Statement>` | `whereIsTheAnotation(com.hp.hpl.jena.rdf.model.Resource concept)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static java.lang.Boolean DEBUG

### mappingPath

    private java.lang.String mappingPath

### modelToParse

    private com.hp.hpl.jena.rdf.model.Model modelToParse

### namespaces

    private java.util.Map<java.lang.String,java.lang.String> namespaces

### foreignKeys

    private java.util.Map<java.lang.String,java.lang.String> foreignKeys

### tables

    private java.util.Vector<Table> tables

### model

    private com.hp.hpl.jena.rdf.model.Model model

Constructor Detail

### ParseD2RQ

    public ParseD2RQ(com.hp.hpl.jena.rdf.model.Model model)

### ParseD2RQ

    public ParseD2RQ()

Method Detail

### getModelToParse

    public com.hp.hpl.jena.rdf.model.Model getModelToParse()

### setModel

    public void setModel(com.hp.hpl.jena.rdf.model.Model model)

### getModel

    public com.hp.hpl.jena.rdf.model.Model getModel()

### getNamespaces

    public java.util.Map<java.lang.String,java.lang.String> getNamespaces()

### getForeignKeys

    public java.util.Map<java.lang.String,java.lang.String> getForeignKeys()

### getTables

    public java.util.Vector<Table> getTables()

### readModel

    private void readModel()

### preparcours

    private void preparcours()

  premier parcours du graphe avant de chercher un chemin. Ce parcours permet de supprimer les predicats non utilisés dans la recherche de chemin. A la fin de ce parcours il ne reste que des prédicats utiles pour rechercher un chemin dans le graphe Ces prédicats sont les suivants: join: clé étrangère URIpattern: clé(s) primaire(s) d'une table dataStorage: BD dans laquelle est contenue la table refersToClassMap: table dans laquelle est contenue la colonne (clé primaire?) belongToClassMap: table dans laquelle est contenue la colonne

### getNamespaces

    private void getNamespaces(com.hp.hpl.jena.rdf.model.Model m)

  récupère tous les namespaces du fichier de mapping

### listTables

    private void listTables()

  création d'un vecteur qui regroupe toutes les tables du fichier de mapping

### listForeignKeys

    private void listForeignKeys()

  liste de toutes les clés étrangères. Cette liste est nécessaire pour trouver les tables ayant une clé étrangère vers la table en cours de traitement. les statements ayant le predicat join permettent de trouver les clés étrangères dans le sens clé étrangère vers table d'origine (key ver value pour la map). Cette liste est nécessaire pour parcourir les clés étrangères dans le sens table d'origine vers la clé étrangère (value vers key pour la map)

### associationTables

    private void associationTables()

  modifie les statements associés à un table d'association. Simule la création d'un objet ClassMap pour chaque table d'association. Permet de prendre en compte les tables d'association

### hasForeignKeys

    public boolean hasForeignKeys(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> columnStatements)

### infosSurUneTable

    public java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> infosSurUneTable(com.hp.hpl.jena.rdf.model.Resource table)

### columnIsInTable

    public com.hp.hpl.jena.rdf.model.Resource columnIsInTable(com.hp.hpl.jena.rdf.model.Resource column)

### getTableResource

    public com.hp.hpl.jena.rdf.model.Resource getTableResource(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> vect)

### inWhichTableIsTheColumn

    public com.hp.hpl.jena.rdf.model.Resource inWhichTableIsTheColumn(com.hp.hpl.jena.rdf.model.Resource res)

### numberOfColumnWithThisAnnotation

    public int numberOfColumnWithThisAnnotation(com.hp.hpl.jena.rdf.model.Resource annotation)

### whereIsTheAnotation

    public java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> whereIsTheAnotation(com.hp.hpl.jena.rdf.model.Resource concept)

### retrieveColumnWithThisAnnotation

    private java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> retrieveColumnWithThisAnnotation(com.hp.hpl.jena.rdf.model.Resource annotation)

### chooseAColumn

    public java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> chooseAColumn(java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> column)

### infosSurUneColonne

    public java.util.Vector<com.hp.hpl.jena.rdf.model.Statement> infosSurUneColonne(com.hp.hpl.jena.rdf.model.Resource colonne)

  permet de recupérer toutes les iformtations sur une colonne. Ces informations sont l'annotation associée, la table dans laquelle elle est contenue et les clés étrangères dont elle dépend

  Parameters:
    `colonne` -
  Returns:
    Vector

### refersToDatabase

    public com.hp.hpl.jena.rdf.model.Resource refersToDatabase(com.hp.hpl.jena.rdf.model.Resource table)

### getArity

    public int getArity(com.hp.hpl.jena.rdf.model.Resource table)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD